%define shortname RDGBorder
%define name gdesklets-%{shortname}
%define version 0.3.1
%define release 2mdk
%define archivename %{shortname}-%{version}

Name:           %{name}
Summary:        A resizable border sensor for GDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=144
Source0:	%{archivename}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires: python

%description
A resizable border sensor for gDesklets.

To add the display, use one of:
gdesklets-add-RDGclock-display
gdesklets-add-RDGpager-display
gdesklets-add-RDGdemo-display


%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

rm -rf $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/tools

for i in *RDGTheme.bin ; do
 ./$i $RPM_BUILD_ROOT%{_datadir}/gdesklets/RDGThemes
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/gdesklets/RDGThemes
%{_datadir}/gdesklets/Displays/*
%{_datadir}/gdesklets/Sensors/*

%changelog
* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- fix buildrequires

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- update source1 for 0.30
- new version

* Sun Jul 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial mdk package

